
QGIS Application - Bug report #15391

Show Count Features with expressions + variable 

2016-08-04 05:15 AM - Andre Jesus

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:2.18.12 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23321

Description

Using show count features when categorized with any expressions using variables returns 0 count on the categories. 

https://s31.postimg.org/dpea5joob/Image_032.jpg

Using the same expression and switching to rule based style seems to fix the problem.

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2017-09-22 01:31 PM - Andre Jesus

Tested on 2.18.2 and 2.14.18, still happens

#4 - 2017-09-22 01:33 PM - Giovanni Manghi

- Description updated

- Affected QGIS version changed from 2.16.1 to 2.18.12

- Category changed from Unknown to Map Legend

#5 - 2017-09-22 01:49 PM - Harrissou Santanna

Andre Jesus wrote:

Using the same expression and switching to rule based style seems to fix the problem.

I'd expect the last category (NULL or the remaining features?) in rule-based styling to return 0 instead of the total count. Seems that it neither works

correctly. Or am I missing something?

#6 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

2025-04-27 1/2



End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
